1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

RifE Launcher thread

Discussion in 'Rise from Erebus Modmod' started by arcticnightwolf, Aug 2, 2010.

  1. arcticnightwolf

    arcticnightwolf Emperor

    Joined:
    Jun 8, 2008
    Messages:
    1,301
    Location:
    Prague, Czech Republic
    err - no idea ... can you elaborate?
     
  2. Milaga

    Milaga Prince

    Joined:
    Jan 19, 2008
    Messages:
    470
    Also, conflict is defined by two modules that modify the same ID. If both modules aren't completely redefining that ID and make changes to different tags, they should work in harmony with each other.
     
  3. Valkrionn

    Valkrionn The Hamster King

    Joined:
    May 23, 2008
    Messages:
    14,450
    Location:
    Crestview FL
    And there is a method in place for module creators who find themselves in that situation (say two different modules add a UU to the same civ; That's not conflicting unless they are a UU for the same unit, but it will turn up a conflict anyway, because they both modify the same civ) to specify that their modules are compatible (BOTH authors must do this) and prevent the launcher from notifying players about a possible conflict.
     
  4. Torugu

    Torugu Prince

    Joined:
    Dec 14, 2009
    Messages:
    382
    Which should be done for BuildXP and NoLinkedBuilds BTW.



    Perhaps this is already known, but the Module Manager shows a green arrow up in the first column for every module, according to the help text this should mean that there's a new version of the module for a newer version of Rife which is obviouly wrong. (Unless 1.31 has already been leaked to the black market ;) )
     
  5. shoggi

    shoggi Team RifE Grunt

    Joined:
    Jul 10, 2008
    Messages:
    252
    Location:
    Germany
  6. Torugu

    Torugu Prince

    Joined:
    Dec 14, 2009
    Messages:
    382
    According to the mouse over of the blue "i" icon "arrow up" means that there is a new version for a newer version of Rife and "arrow down" means there is a new version.

    Also I read every post in this forum and I'm confident that I have the newest version of my modules, besides I see the arrow for every module I have installed, including MPL Example.


    Edit: I suppose this means I'm the only one having this "problem".
     
  7. shoggi

    shoggi Team RifE Grunt

    Joined:
    Jul 10, 2008
    Messages:
    252
    Location:
    Germany
    Sorry, my fault. you are right. up arrow means new version for new rife version.
    But 1.3 is still the most up to date version. Even the internal rife version still uses the 1.3 version name, to not break the launcher version checking.
    I have no idea why you have that problem.

    Or maybe i have.
    Check the rife folder. Is there a "version.txt" file?
    If not, make one and write only "1.3" without the quotation marks in it.

    I think that should fix it.

    next patch will probably add a version file for the main mod.
     
  8. Valkrionn

    Valkrionn The Hamster King

    Joined:
    May 23, 2008
    Messages:
    14,450
    Location:
    Crestview FL
    Nope, just comes from using the new launcher. :p

    Basically: You're missing a Version.txt file in the RifE folder, so the launcher isn't recognizing your RifE version. This is where the 'new version of RifE' comes from.

    For the others, none of the modules you have currently have an info.txt document, with the version, compatible RifE version, author, etc. This means that even if they are up to date, their version is not recognized by the launcher.
     
  9. arcticnightwolf

    arcticnightwolf Emperor

    Joined:
    Jun 8, 2008
    Messages:
    1,301
    Location:
    Prague, Czech Republic
    well ... MPL example module has info.txt :D ...
     
  10. Valkrionn

    Valkrionn The Hamster King

    Joined:
    May 23, 2008
    Messages:
    14,450
    Location:
    Crestview FL
    Yes, but not in 1.3. :p

    All of our official modules do (at least in my version, need to commit those files), but it doesn't matter as that's still not in 1.3. :p
     
  11. arcticnightwolf

    arcticnightwolf Emperor

    Joined:
    Jun 8, 2008
    Messages:
    1,301
    Location:
    Prague, Czech Republic
    disclaimer added
     
  12. Tsukasa

    Tsukasa Warlord

    Joined:
    Jun 29, 2007
    Messages:
    115
    I'm a big fan of the RifE Launcher.
    I don't know why some games nowadys don't have launchers in the first place but at least all my favourite games have one.

    One question:
    I love the feature where you can choos if you want to load a quick save or a auto save (or just search for the right save).
    One thing I would love to see is an option where you can load the latest save of the game regardless if it is an auto save, quick save or normal save. This is because the game crashes often after you want to load a save form one turn before and often that's the reason why I stop playing. So if I want to start playing again I have to check what's the latest save in all the three folders...
     
  13. Valkrionn

    Valkrionn The Hamster King

    Joined:
    May 23, 2008
    Messages:
    14,450
    Location:
    Crestview FL
    That is being added, I believe.
     
  14. Calavente

    Calavente Richard's voice

    Joined:
    Jun 4, 2006
    Messages:
    2,834
    Location:
    France
    :D first suggestion I ever made that might be added ... if it really is :D

    most of my other suggestions were ... "already talked about that in #Erebus"
    "already thought about that and... will be done in version 5.680/was thought too strange"
    or .."nope". :lol:
     
  15. arcticnightwolf

    arcticnightwolf Emperor

    Joined:
    Jun 8, 2008
    Messages:
    1,301
    Location:
    Prague, Czech Republic
    Code:
            const string txt_loadverylast = "Load lastest save";
            const string txt_lastregular = "Load last regular save";
    already added :)

    i will release it when i finish "dynamic number of load orders" (( you can add and remove load order folders (( now there are these four folders: FirstLoad, SecondLoad, ThirdLoad, FourthLoad )) )) and "change all path references when changing loadorder" (( now, if your module have art, changing loadorder _will_ broke it ))
     
  16. EugeneStyles

    EugeneStyles Prince

    Joined:
    May 21, 2007
    Messages:
    307
    Gender:
    Male
    Question about load orders:

    I've noticed that many modules have art that is referenced as "Modules/NormalModules/Art/blahblahblah.dds". I'm assuming that's not possible to just reference it as "Art/blahblahblah.dds". How does this work with load order specific modules? Does the launcher somehow update the art paths, or does moving them to a different location break things?

    (edit)Oops... looks like you *just* mentioned this. Ninja'd by like an hour... must not have reloaded the page in that hour to see your new post...
     
  17. Milaga

    Milaga Prince

    Joined:
    Jan 19, 2008
    Messages:
    470
    You won't need NoLinkedBuilds anymore in 1.31.
     
  18. PPQ_Purple

    PPQ_Purple Techpriest Engineer

    Joined:
    Oct 11, 2008
    Messages:
    3,698
    For my own module, how do I define the version and other data?

    Found it. But the Info.txt does not really work like advertised.
     
  19. Valkrionn

    Valkrionn The Hamster King

    Joined:
    May 23, 2008
    Messages:
    14,450
    Location:
    Crestview FL
    Example info.txt.

    ;EXAMPLE INFO.TXT FILE
    ;
    ;Lines beginning with ";" are considered to be comments, and are ignored
    ;[xxx] identificators doesn't have to be in this order as in this file
    ;
    ;
    ;this file (( info.txt )) is optional, as well as is the version.txt
    ;but if you already have this file, the "version.txt" is useless,
    ;so i recommend remove it you don't have to edit two files when releasing new version :D
    ;
    ;
    ;Name - no need to explain
    ;note: one line
    [name]
    MPL Example
    ;
    ;
    ;Version - version of module
    ;Note: it have to be number, so only numberic characters and none or one period
    ;note: one line
    [version]
    1
    ;
    ;
    ;RifE version - version of RifE for which is this module tested, checked, developed, etc
    ;Note: it have to be number, so only numberic characters and none or one period
    ;note: one line
    [rifeversion]
    1.3
    ;
    ;
    ;Author - you
    ;note: one line
    [author]
    anw
    ;
    ;
    ;Short description - text showed in contect menu
    ;note: one line
    [shortdesc]
    This is MPL example
    ;
    ;
    ;Description - text showed in message box
    ;note: can be multiline
    [desc]
    This is MPL example showing some basic usage of MPL
    This module also includes example of info.txt file
    ;
    ;
    ;Dependency - modules, on which is this module dependent
    ; (( it's commented here, because this module don't have any dependencies :p ))
    ;note: can be multiline
    ;[dependency]
    ;Syntax: <foldername_of_module>
    ;Syntax: <foldername_of_module><semicolon><space><version_of_module>
    ;Examples:
    ;SomeAwesomeVersionedMod; 3.4
    ;SomeAwesomeVersionlessMod
    ;
    ;
    ;Compatibility - modules, between which is disabled conflict checking
    ; (( it's commented here, because this module don't have any special compatibility needs :p ))
    ;note: BOTH modules has to have the each other in the list !!
    ;note: version can't be specified
    ;note: can be multiline
    ; (( it's commented here ))
    ;[compatible]
    ;Syntax <folder_of_module>
    ;Example:
    ;SomeGreatMod
     
  20. PPQ_Purple

    PPQ_Purple Techpriest Engineer

    Joined:
    Oct 11, 2008
    Messages:
    3,698
    In particular, when I include an info.txt into my module, I can no longer unload modules at all.
    And the [rifeversion] bit does not work for me.
     

Share This Page